Bug 109383 - 'service iptables restart' hangs
Summary: 'service iptables restart' hangs
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: 1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-07 11:59 UTC by Tim Waugh
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 19:35:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tim Waugh 2003-11-07 11:59:43 UTC
Description of problem:
See summary.

Version-Release number of selected component (if applicable):
Fedora Core 1.

This happened in RH9 too I think.

How reproducible:
100%

Comment 1 Dan Tucny 2003-11-07 20:43:45 UTC
bug 107169 and bug 103177 refer to this same problem.

Comment 2 Thomas Woerner 2003-12-17 13:56:45 UTC
Are you using nat helper modules?

Comment 3 Tim Waugh 2003-12-17 14:19:08 UTC
$ /sbin/lsmod
Module                  Size  Used by    Not tainted
via82cxxx_audio        23992   0
ac97_codec             16712   0 [via82cxxx_audio]
uart401                 7972   0 [via82cxxx_audio]
opl3                   13600   0 (autoclean) (unused)
sound                  72276   0 (autoclean) [via82cxxx_audio uart401
opl3]
soundcore               6468   4 (autoclean) [via82cxxx_audio sound]
bpck6                   8236   0 (autoclean)
paride                  4960   1 [bpck6]
imm                    11128   0
binfmt_misc             7212   1
nfsd                   79408   8 (autoclean)
lockd                  57296   1 (autoclean) [nfsd]
sunrpc                 83580   1 (autoclean) [nfsd lockd]
parport_pc             18756   2 (autoclean)
lp                      8580   0 (autoclean)
parport                37056   2 (autoclean) [paride imm parport_pc lp]
autofs                 12084   0 (autoclean) (unused)
tulip                  42016   1
natsemi                19232   1
ipt_REJECT              4216   2 (autoclean)
iptable_filter          2444   1 (autoclean)
ipt_MASQUERADE          2296   1 (autoclean)
iptable_nat            21624   1 (autoclean) [ipt_MASQUERADE]
ip_conntrack           28136   1 (autoclean) [ipt_MASQUERADE iptable_nat]
ip_tables              15008   6 [ipt_REJECT iptable_filter
ipt_MASQUERADE iptable_nat]
floppy                 57308   0 (autoclean)
sg                     35436   0 (autoclean)
sd_mod                 13420   0 (autoclean)
sr_mod                 17400   0 (autoclean)
ide-scsi               12016   0
ide-cd                 34432   0
cdrom                  34560   0 [sr_mod ide-cd]
usb-storage            70624   0
scsi_mod              110280   6 [imm sg sd_mod sr_mod ide-scsi
usb-storage]
printer                 8544   1
loop                   11512   0 (autoclean)
lvm-mod                65472   0
keybdev                 2656   0 (unused)
mousedev                5268   0 (unused)
hid                    23908   0 (unused)
input                   5888   0 [keybdev mousedev hid]
usb-uhci               26124   0 (unused)
usbcore                78752   1 [usb-storage printer hid usb-uhci]
ext3                   71300   8
jbd                    51052   8 [ext3]

Comment 4 Michael Schwendt 2004-02-29 02:26:50 UTC
https://bugzilla.netfilter.org/cgi-bin/bugzilla/show_bug.cgi?id=91

I still think it's the ip_conntrack unload error which I've
investigated this a bit some time ago. Somewhere someone mentions that
the 2.6 kernel series is affected, too.

Comment 5 Thomas Woerner 2004-04-22 13:23:52 UTC
This is the kernel ip_conntrack problem. Reassigning.

Comment 6 David Lawrence 2004-09-29 19:35:39 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.